<html>
<head>
<title>Ogre.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="Ogre_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 <span class="preprocessor">#ifndef _Ogre_H__</span>
<a name="l00029"></a>00029 <span class="preprocessor"></span><span class="preprocessor">#define _Ogre_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span><span class="comment">// This file includes all the other files which you will need to build a client application</span>
<a name="l00031"></a>00031 <span class="preprocessor">#include &quot;<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>&quot;</span>
<a name="l00032"></a>00032 
<a name="l00033"></a>00033 <span class="preprocessor">#include &quot;<a class="code" href="OgreAnimation_8h.html">OgreAnimation.h</a>&quot;</span>
<a name="l00034"></a>00034 <span class="preprocessor">#include &quot;<a class="code" href="OgreAnimationState_8h.html">OgreAnimationState.h</a>&quot;</span>
<a name="l00035"></a>00035 <span class="preprocessor">#include &quot;<a class="code" href="OgreAnimationTrack_8h.html">OgreAnimationTrack.h</a>&quot;</span>
<a name="l00036"></a>00036 <span class="preprocessor">#include &quot;<a class="code" href="OgreAny_8h.html">OgreAny.h</a>&quot;</span>
<a name="l00037"></a>00037 <span class="preprocessor">#include &quot;<a class="code" href="OgreArchive_8h.html">OgreArchive.h</a>&quot;</span>
<a name="l00038"></a>00038 <span class="preprocessor">#include &quot;<a class="code" href="OgreArchiveManager_8h.html">OgreArchiveManager.h</a>&quot;</span>
<a name="l00039"></a>00039 <span class="preprocessor">#include &quot;<a class="code" href="OgreAxisAlignedBox_8h.html">OgreAxisAlignedBox.h</a>&quot;</span>
<a name="l00040"></a>00040 <span class="preprocessor">#include &quot;<a class="code" href="OgreBillboardChain_8h.html">OgreBillboardChain.h</a>&quot;</span>
<a name="l00041"></a>00041 <span class="preprocessor">#include &quot;<a class="code" href="OgreBillboardSet_8h.html">OgreBillboardSet.h</a>&quot;</span>
<a name="l00042"></a>00042 <span class="preprocessor">#include &quot;<a class="code" href="OgreBone_8h.html">OgreBone.h</a>&quot;</span>
<a name="l00043"></a>00043 <span class="preprocessor">#include &quot;<a class="code" href="OgreCamera_8h.html">OgreCamera.h</a>&quot;</span>
<a name="l00044"></a>00044 <span class="preprocessor">#include &quot;<a class="code" href="OgreConfigFile_8h.html">OgreConfigFile.h</a>&quot;</span>
<a name="l00045"></a>00045 <span class="preprocessor">#include &quot;<a class="code" href="OgreControllerManager_8h.html">OgreControllerManager.h</a>&quot;</span>
<a name="l00046"></a>00046 <span class="preprocessor">#include &quot;<a class="code" href="OgreDataStream_8h.html">OgreDataStream.h</a>&quot;</span>
<a name="l00047"></a>00047 <span class="preprocessor">#include &quot;<a class="code" href="OgreEntity_8h.html">OgreEntity.h</a>&quot;</span>
<a name="l00048"></a>00048 <span class="preprocessor">#include &quot;<a class="code" href="OgreException_8h.html">OgreException.h</a>&quot;</span>
<a name="l00049"></a>00049 <span class="preprocessor">#include &quot;<a class="code" href="OgreFrustum_8h.html">OgreFrustum.h</a>&quot;</span>
<a name="l00050"></a>00050 <span class="preprocessor">#include &quot;<a class="code" href="OgreGpuProgram_8h.html">OgreGpuProgram.h</a>&quot;</span>
<a name="l00051"></a>00051 <span class="preprocessor">#include &quot;<a class="code" href="OgreGpuProgramManager_8h.html">OgreGpuProgramManager.h</a>&quot;</span>
<a name="l00052"></a>00052 <span class="preprocessor">#include &quot;<a class="code" href="OgreHardwareBufferManager_8h.html">OgreHardwareBufferManager.h</a>&quot;</span>
<a name="l00053"></a>00053 <span class="preprocessor">#include &quot;<a class="code" href="OgreHardwareIndexBuffer_8h.html">OgreHardwareIndexBuffer.h</a>&quot;</span>
<a name="l00054"></a>00054 <span class="preprocessor">#include &quot;<a class="code" href="OgreHardwarePixelBuffer_8h.html">OgreHardwarePixelBuffer.h</a>&quot;</span>
<a name="l00055"></a>00055 <span class="preprocessor">#include &quot;<a class="code" href="OgreHardwareOcclusionQuery_8h.html">OgreHardwareOcclusionQuery.h</a>&quot;</span>
<a name="l00056"></a>00056 <span class="preprocessor">#include &quot;<a class="code" href="OgreHardwareVertexBuffer_8h.html">OgreHardwareVertexBuffer.h</a>&quot;</span>
<a name="l00057"></a>00057 <span class="preprocessor">#include &quot;<a class="code" href="OgreHardwarePixelBuffer_8h.html">OgreHardwarePixelBuffer.h</a>&quot;</span>
<a name="l00058"></a>00058 <span class="preprocessor">#include &quot;<a class="code" href="OgreHighLevelGpuProgram_8h.html">OgreHighLevelGpuProgram.h</a>&quot;</span>
<a name="l00059"></a>00059 <span class="preprocessor">#include &quot;<a class="code" href="OgreHighLevelGpuProgramManager_8h.html">OgreHighLevelGpuProgramManager.h</a>&quot;</span>
<a name="l00060"></a>00060 <span class="preprocessor">#include &quot;<a class="code" href="OgreInstanceBatch_8h.html">OgreInstanceBatch.h</a>&quot;</span>
<a name="l00061"></a>00061 <span class="preprocessor">#include &quot;<a class="code" href="OgreInstancedEntity_8h.html">OgreInstancedEntity.h</a>&quot;</span>
<a name="l00062"></a>00062 <span class="preprocessor">#include &quot;<a class="code" href="OgreInstanceManager_8h.html">OgreInstanceManager.h</a>&quot;</span>
<a name="l00063"></a>00063 <span class="preprocessor">#include &quot;<a class="code" href="OgreKeyFrame_8h.html">OgreKeyFrame.h</a>&quot;</span>
<a name="l00064"></a>00064 <span class="preprocessor">#include &quot;<a class="code" href="OgreLight_8h.html">OgreLight.h</a>&quot;</span>
<a name="l00065"></a>00065 <span class="preprocessor">#include &quot;<a class="code" href="OgreLogManager_8h.html">OgreLogManager.h</a>&quot;</span>
<a name="l00066"></a>00066 <span class="preprocessor">#include &quot;<a class="code" href="OgreManualObject_8h.html">OgreManualObject.h</a>&quot;</span>
<a name="l00067"></a>00067 <span class="preprocessor">#include &quot;<a class="code" href="OgreMaterial_8h.html">OgreMaterial.h</a>&quot;</span>
<a name="l00068"></a>00068 <span class="preprocessor">#include &quot;<a class="code" href="OgreMaterialManager_8h.html">OgreMaterialManager.h</a>&quot;</span>
<a name="l00069"></a>00069 <span class="preprocessor">#include &quot;<a class="code" href="OgreMaterialSerializer_8h.html">OgreMaterialSerializer.h</a>&quot;</span>
<a name="l00070"></a>00070 <span class="preprocessor">#include &quot;<a class="code" href="OgreMath_8h.html">OgreMath.h</a>&quot;</span>
<a name="l00071"></a>00071 <span class="preprocessor">#include &quot;<a class="code" href="OgreMatrix3_8h.html">OgreMatrix3.h</a>&quot;</span>
<a name="l00072"></a>00072 <span class="preprocessor">#include &quot;<a class="code" href="OgreMatrix4_8h.html">OgreMatrix4.h</a>&quot;</span>
<a name="l00073"></a>00073 <span class="preprocessor">#include &quot;<a class="code" href="OgreMesh_8h.html">OgreMesh.h</a>&quot;</span>
<a name="l00074"></a>00074 <span class="preprocessor">#include &quot;<a class="code" href="OgreMeshManager_8h.html">OgreMeshManager.h</a>&quot;</span>
<a name="l00075"></a>00075 <span class="preprocessor">#include &quot;<a class="code" href="OgreMeshSerializer_8h.html">OgreMeshSerializer.h</a>&quot;</span>
<a name="l00076"></a>00076 <span class="preprocessor">#include &quot;<a class="code" href="OgreOverlay_8h.html">OgreOverlay.h</a>&quot;</span>
<a name="l00077"></a>00077 <span class="preprocessor">#include &quot;<a class="code" href="OgreOverlayContainer_8h.html">OgreOverlayContainer.h</a>&quot;</span>
<a name="l00078"></a>00078 <span class="preprocessor">#include &quot;<a class="code" href="OgreOverlayElement_8h.html">OgreOverlayElement.h</a>&quot;</span>
<a name="l00079"></a>00079 <span class="preprocessor">#include &quot;<a class="code" href="OgreOverlayManager_8h.html">OgreOverlayManager.h</a>&quot;</span>
<a name="l00080"></a>00080 <span class="preprocessor">#include &quot;<a class="code" href="OgreParticleAffector_8h.html">OgreParticleAffector.h</a>&quot;</span>
<a name="l00081"></a>00081 <span class="preprocessor">#include &quot;<a class="code" href="OgreParticleEmitter_8h.html">OgreParticleEmitter.h</a>&quot;</span>
<a name="l00082"></a>00082 <span class="preprocessor">#include &quot;<a class="code" href="OgreParticleSystemManager_8h.html">OgreParticleSystemManager.h</a>&quot;</span>
<a name="l00083"></a>00083 <span class="preprocessor">#include &quot;<a class="code" href="OgrePass_8h.html">OgrePass.h</a>&quot;</span>
<a name="l00084"></a>00084 <span class="preprocessor">#include &quot;<a class="code" href="OgrePatchMesh_8h.html">OgrePatchMesh.h</a>&quot;</span>
<a name="l00085"></a>00085 <span class="preprocessor">#include &quot;<a class="code" href="OgrePatchSurface_8h.html">OgrePatchSurface.h</a>&quot;</span>
<a name="l00086"></a>00086 <span class="preprocessor">#include &quot;<a class="code" href="OgreProfiler_8h.html">OgreProfiler.h</a>&quot;</span>
<a name="l00087"></a>00087 <span class="preprocessor">#include &quot;<a class="code" href="OgreRadixSort_8h.html">OgreRadixSort.h</a>&quot;</span>
<a name="l00088"></a>00088 <span class="preprocessor">#include &quot;<a class="code" href="OgreRenderQueueInvocation_8h.html">OgreRenderQueueInvocation.h</a>&quot;</span>
<a name="l00089"></a>00089 <span class="preprocessor">#include &quot;<a class="code" href="OgreRenderQueueListener_8h.html">OgreRenderQueueListener.h</a>&quot;</span>
<a name="l00090"></a>00090 <span class="preprocessor">#include &quot;<a class="code" href="OgreRenderObjectListener_8h.html">OgreRenderObjectListener.h</a>&quot;</span>
<a name="l00091"></a>00091 <span class="preprocessor">#include &quot;<a class="code" href="OgreRenderSystem_8h.html">OgreRenderSystem.h</a>&quot;</span>
<a name="l00092"></a>00092 <span class="preprocessor">#include &quot;<a class="code" href="OgreRenderTargetListener_8h.html">OgreRenderTargetListener.h</a>&quot;</span>
<a name="l00093"></a>00093 <span class="preprocessor">#include &quot;<a class="code" href="OgreRenderTexture_8h.html">OgreRenderTexture.h</a>&quot;</span>
<a name="l00094"></a>00094 <span class="preprocessor">#include &quot;<a class="code" href="OgreRenderWindow_8h.html">OgreRenderWindow.h</a>&quot;</span>
<a name="l00095"></a>00095 <span class="preprocessor">#include &quot;<a class="code" href="OgreResourceBackgroundQueue_8h.html">OgreResourceBackgroundQueue.h</a>&quot;</span>
<a name="l00096"></a>00096 <span class="preprocessor">#include &quot;<a class="code" href="OgreResourceGroupManager_8h.html">OgreResourceGroupManager.h</a>&quot;</span>
<a name="l00097"></a>00097 <span class="preprocessor">#include &quot;<a class="code" href="OgreRibbonTrail_8h.html">OgreRibbonTrail.h</a>&quot;</span>
<a name="l00098"></a>00098 <span class="preprocessor">#include &quot;<a class="code" href="OgreRoot_8h.html">OgreRoot.h</a>&quot;</span>
<a name="l00099"></a>00099 <span class="preprocessor">#include &quot;<a class="code" href="OgreSceneManager_8h.html">OgreSceneManager.h</a>&quot;</span>
<a name="l00100"></a>00100 <span class="preprocessor">#include &quot;<a class="code" href="OgreSceneManagerEnumerator_8h.html">OgreSceneManagerEnumerator.h</a>&quot;</span>
<a name="l00101"></a>00101 <span class="preprocessor">#include &quot;<a class="code" href="OgreSceneNode_8h.html">OgreSceneNode.h</a>&quot;</span>
<a name="l00102"></a>00102 <span class="preprocessor">#include &quot;<a class="code" href="OgreSimpleRenderable_8h.html">OgreSimpleRenderable.h</a>&quot;</span>
<a name="l00103"></a>00103 <span class="preprocessor">#include &quot;<a class="code" href="OgreSkeleton_8h.html">OgreSkeleton.h</a>&quot;</span>
<a name="l00104"></a>00104 <span class="preprocessor">#include &quot;<a class="code" href="OgreSkeletonInstance_8h.html">OgreSkeletonInstance.h</a>&quot;</span>
<a name="l00105"></a>00105 <span class="preprocessor">#include &quot;<a class="code" href="OgreSkeletonManager_8h.html">OgreSkeletonManager.h</a>&quot;</span>
<a name="l00106"></a>00106 <span class="preprocessor">#include &quot;<a class="code" href="OgreSkeletonSerializer_8h.html">OgreSkeletonSerializer.h</a>&quot;</span>
<a name="l00107"></a>00107 <span class="preprocessor">#include &quot;<a class="code" href="OgreStaticGeometry_8h.html">OgreStaticGeometry.h</a>&quot;</span>
<a name="l00108"></a>00108 <span class="preprocessor">#include &quot;<a class="code" href="OgreString_8h.html">OgreString.h</a>&quot;</span>
<a name="l00109"></a>00109 <span class="preprocessor">#include &quot;<a class="code" href="OgreStringConverter_8h.html">OgreStringConverter.h</a>&quot;</span>
<a name="l00110"></a>00110 <span class="preprocessor">#include &quot;<a class="code" href="OgreStringVector_8h.html">OgreStringVector.h</a>&quot;</span>
<a name="l00111"></a>00111 <span class="preprocessor">#include &quot;<a class="code" href="OgreSubEntity_8h.html">OgreSubEntity.h</a>&quot;</span>
<a name="l00112"></a>00112 <span class="preprocessor">#include &quot;<a class="code" href="OgreSubMesh_8h.html">OgreSubMesh.h</a>&quot;</span>
<a name="l00113"></a>00113 <span class="preprocessor">#include &quot;<a class="code" href="OgreTechnique_8h.html">OgreTechnique.h</a>&quot;</span>
<a name="l00114"></a>00114 <span class="preprocessor">#include &quot;<a class="code" href="OgreTextureManager_8h.html">OgreTextureManager.h</a>&quot;</span>
<a name="l00115"></a>00115 <span class="preprocessor">#include &quot;<a class="code" href="OgreTextureUnitState_8h.html">OgreTextureUnitState.h</a>&quot;</span>
<a name="l00116"></a>00116 <span class="preprocessor">#include &quot;<a class="code" href="OgreVector2_8h.html">OgreVector2.h</a>&quot;</span>
<a name="l00117"></a>00117 <span class="preprocessor">#include &quot;<a class="code" href="OgreViewport_8h.html">OgreViewport.h</a>&quot;</span>
<a name="l00118"></a>00118 <span class="preprocessor">#include &quot;<a class="code" href="OgreCompositor_8h.html">OgreCompositor.h</a>&quot;</span>
<a name="l00119"></a>00119 <span class="preprocessor">#include &quot;<a class="code" href="OgreCompositorManager_8h.html">OgreCompositorManager.h</a>&quot;</span>
<a name="l00120"></a>00120 <span class="preprocessor">#include &quot;<a class="code" href="OgreCompositorChain_8h.html">OgreCompositorChain.h</a>&quot;</span>
<a name="l00121"></a>00121 <span class="preprocessor">#include &quot;<a class="code" href="OgreCompositorInstance_8h.html">OgreCompositorInstance.h</a>&quot;</span>
<a name="l00122"></a>00122 <span class="preprocessor">#include &quot;<a class="code" href="OgreCompositionTechnique_8h.html">OgreCompositionTechnique.h</a>&quot;</span>
<a name="l00123"></a>00123 <span class="preprocessor">#include &quot;<a class="code" href="OgreCompositionPass_8h.html">OgreCompositionPass.h</a>&quot;</span>
<a name="l00124"></a>00124 <span class="preprocessor">#include &quot;<a class="code" href="OgreCompositionTargetPass_8h.html">OgreCompositionTargetPass.h</a>&quot;</span>
<a name="l00125"></a>00125 <span class="preprocessor">#include &quot;<a class="code" href="OgreWindowEventUtilities_8h.html">OgreWindowEventUtilities.h</a>&quot;</span>
<a name="l00126"></a>00126 <span class="preprocessor">#include &quot;<a class="code" href="OgreShadowCameraSetup_8h.html">OgreShadowCameraSetup.h</a>&quot;</span>
<a name="l00127"></a>00127 <span class="preprocessor">#include &quot;<a class="code" href="OgreShadowCameraSetupFocused_8h.html">OgreShadowCameraSetupFocused.h</a>&quot;</span>
<a name="l00128"></a>00128 <span class="preprocessor">#include &quot;<a class="code" href="OgreShadowCameraSetupLiSPSM_8h.html">OgreShadowCameraSetupLiSPSM.h</a>&quot;</span>
<a name="l00129"></a>00129 <span class="preprocessor">#include &quot;<a class="code" href="OgreShadowCameraSetupPlaneOptimal_8h.html">OgreShadowCameraSetupPlaneOptimal.h</a>&quot;</span>
<a name="l00130"></a>00130 <span class="preprocessor">#include &quot;<a class="code" href="OgreShadowCameraSetupPSSM_8h.html">OgreShadowCameraSetupPSSM.h</a>&quot;</span>
<a name="l00131"></a>00131 <span class="comment">// .... more to come</span>
<a name="l00132"></a>00132 
<a name="l00133"></a>00133 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:49
</p>
</body>
</html>
